com.independentsoft.exchange

## Class ItemAttachment

- java.lang.Object
- - com.independentsoft.exchange.Attachment
  - - com.independentsoft.exchange.ItemAttachment

-     public class ItemAttachment
      extends Attachment

  Represents an Exchange item that is attached to another Exchange item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemAttachment()` Initializes a new instance of the ItemAttachment class.
    `ItemAttachment(Item item)` Initializes a new instance of the ItemAttachment class.
    `ItemAttachment(java.lang.String name)` Initializes a new instance of the ItemAttachment class.
    `ItemAttachment(java.lang.String name, Item item)` Initializes a new instance of the ItemAttachment class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Item` | `getItem()` Gets the item that is associated with the attachment.
    `void` | `setItem(Item item)` Sets the item that is associated with the attachment.
    `java.lang.String` | `toString()` Converts the value of the current ItemAttachment object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Attachment

      `getAttachmentId, getContentId, getContentLocation, getContentType, getLastModifiedTime, getName, getSize, isInline, setAttachmentId, setContentId, setContentLocation, setContentType, setInline, setLastModifiedTime, setName, setSize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemAttachment

          public ItemAttachment()

      Initializes a new instance of the ItemAttachment class.

    - #### ItemAttachment

          public ItemAttachment(java.lang.String name)

      Initializes a new instance of the ItemAttachment class.
      Parameters:
        `name` - the name

    - #### ItemAttachment

          public ItemAttachment(Item item)

      Initializes a new instance of the ItemAttachment class.
      Parameters:
        `item` - the item

    - #### ItemAttachment

          public ItemAttachment(java.lang.String name,
                                Item item)

      Initializes a new instance of the ItemAttachment class.
      Parameters:
        `name` - the name
        `item` - the item

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current ItemAttachment object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getItem

          public Item getItem()

      Gets the item that is associated with the attachment.
      Returns:
        the item

    - #### setItem

          public void setItem(Item item)

      Sets the item that is associated with the attachment.
      Parameters:
        `item` - the new item